<!--suppress CssUnusedSymbol -->
<style>
  .op { font-family: monospace; border: thin solid grey; color: chocolate; margin-left:25px; padding: 2px 10px 2px 10px; width: fit-content}
  .text { padding: 2px 10px 2px 10px; border: thin solid white; color: bisque; margin-left:25px;  width: fit-content}
  .blue { color: dodgerblue; }
</style>

# Configuration files for send_hello.py
The files in this folder (.sh and .fish) are designed to be sourced in their corresponding shells prior to
invoking `send_hello.py` on the command line. Eacg script contains the name of the environment it is configured for.
If you have the <b class="blue">ORIENT</b> environment sourced, you
can use the defined variable `$SHC` (send hello config) as a shortcut for the directory:

<p class="op">
source ${SHC}/dev01.sh
</p>

With <b class="blue">ORIENT</b> the `send_hello.py` script should be added to the PATH and can be used directly.

> _**NOTE:** The configuration files perform variable sets and clears in order to keep things clean._

## Use with Intellij

Additionally, the .sh (bash) files may be loaded as an envfile within intellij, allowing you to run `send_hello.py` from within.
Using intellij along with multiple envfiles allows you to quickly and easily switch between environments for each run.

![](../../../documentation/images/envfile.png)

Configurations for the `dev01` and `test03` environments require you to have defined within your login shell profile
two specific environment variables:
* `MY_CSR_ADMIN`, which contains your actual CSR admin name
* `MY_CSR_PASSWORD`, which contains your actual CSR password

These two environment variables are used to fill in `CSR_ADMIN` and `CSR_PASSWORD`, respectively, which are
required for those environments.